Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class PdfA1Schema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.PdfA1Schema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class PdfA1Schema

extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONFORMANCE` Conformance, A or B.
`static java.lang.String` | `DEFAULT_XPATH_ID` default namespace identifier
`static java.lang.String` | `DEFAULT_XPATH_URI` default namespace uri
`static java.lang.String` | `PART` Part, always 1.
`private static long` | `serialVersionUID`

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`PdfA1Schema()`

Method Summary
`void` | `addConformance(java.lang.String conformance)` Adds the conformance.
`void` | `addPart(java.lang.String part)` Adds part.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### DEFAULT_XPATH_ID

    public static final java.lang.String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final java.lang.String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### PART

    public static final java.lang.String PART

  Part, always 1.

  See Also:
    Constant Field Values

### CONFORMANCE

    public static final java.lang.String CONFORMANCE

  Conformance, A or B.

  See Also:
    Constant Field Values

Constructor Detail

### PdfA1Schema

    public PdfA1Schema()

Method Detail

### addPart

    public void addPart(java.lang.String part)

  Adds part.

  Parameters:
    `part` -

### addConformance

    public void addConformance(java.lang.String conformance)

  Adds the conformance.

  Parameters:
    `conformance` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD